
Redmine - Defect #9788

Revisions not linkified in email notifications anymore

2011-12-13 14:01 - Bruno Medeiros

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version:  

Description

I recently upgraded Redmine to version 1.3 and realized that the notification emails containing review links are not linkified anymore

in the email body. If you enter in the issue on Redmine the link is ok.

I was using Redmine 1.1.3 and all notification emails had linkified review links.

This is not a big deal, but it's a regression, so I'm reporting.

History

#1 - 2011-12-13 14:10 - Etienne Massip

- Category set to Email notifications

Thanks for that.

#2 - 2011-12-16 00:13 - Jean-Philippe Lang

What are review links exactly?

#3 - 2011-12-16 22:43 - Bruno Medeiros

The email notification when we have a review link, something like that (don't know the message in english):

Aplicado no changeset r38213.

 The 'r38213' was linkified in previous version of Redmine, but it appears as plain text now.

#4 - 2011-12-17 17:45 - Etienne Massip

- Resolution set to Cant reproduce

I'm not able to reproduce in any way, do you have plugins installed?

#5 - 2011-12-22 21:13 - Bruno Medeiros

No plugins...

I needed to re-add a repository to a project today (I changed the svn folder) and, after re-add, for this project, commits are sent linkified again. For all

other projects whose repositories I added before I did the update I still have this bug, no linkified reviews.

I can reproduce it at any time on my production environment. I can provide you logs and even a login on my system (in a sandbox project), just

contact me by email if you want.

#6 - 2012-10-04 23:47 - Bruno Medeiros

- File review-with-link.txt added

- File review-without-link.txt added

I've been observing this issue for a long time, and I couldn't notice any pattern. The problem seems to occur randomly.

I've just received two ticket updates, from the same user, on the same project, and one was linkified an the other wasn't. Follow the two email

originals, only with some obfuscated info.
The important parts:

linkified:

<p>Aplicado no changeset <a href=3D"http://projetos.company.com.br/projec=

ts/vsg-jv-util/repository/revisions/45988" class=3D"changeset" title=3D"G=

era=C3=A7=C3=A3o Din=C3=A2mica de classes fixes #16588 @1h">r45988</a>.</=

p>

 not linkified:

<p>Aplicado no changeset r45987.</p>

 Is there any chance of the email is being sent before the review was inserted on the database? It's the only way I can imagine to produce this bug.

#7 - 2012-10-04 23:59 - Jean-Philippe Lang

Bruno Medeiros wrote:

Is there any chance of the email is being sent before the review was inserted on the database? It's the only way I can imagine to produce this

bug.

 The issue is updated (and the notification sent) in a changeset's after_create callback, so the commit is already inserted in the database, but not yet

committed. How is your email delivery configured ?

#8 - 2012-10-15 15:47 - Bruno Medeiros

It's using async method. Here follows my configuration:

# default configuration options for all environments

default:

  # Outgoing emails configuration (see examples above)

  email_delivery:

    delivery_method: :async_smtp

    async_smtp_settings:

      tls: false

      openssl_verify_mode: 'none'

      address: locapop.domain.com.br

      port: 25

      domain: domain.com.br

      authentication: :plain

      user_name: gestorproj@domain.com.br

      password: **********

Files

review-with-link.txt 6.67 KB 2012-10-04 Bruno Medeiros

review-without-link.txt 6.42 KB 2012-10-04 Bruno Medeiros
